[% USE password = RandomPassword -%]
<auth>
  <stack name="Anonymous">
    <description>I18N_OPENXPKI_CONFIG_AUTH_STACK_DESCRIPTION_ANONYMOUS</description>
    <handler>Anonymous</handler>
  </stack>
  <stack name="User">
    <description>I18N_OPENXPKI_CONFIG_AUTH_STACK_DESCRIPTION_USER</description>
    <handler>User Password</handler>
    <!-- <handler>LDAP</handler> -->
  </stack>
  <handler name="Anonymous" type="Anonymous">
    <role></role>
  </handler>
  <handler name="User Password" type="Password">
    <description>I18N_OPENXPKI_CONFIG_AUTH_HANDLER_DESCRIPTION_PASSWORD</description>
    <!-- howto generate sha1 passphrases?                     -->
    <!-- echo -n root | openssl sha1 -binary | openssl base64 -->
    <user>
      <name>John Doe</name>
      <digest>[% password.generate(scheme => 'ssha', callback => 'sub { print STDERR "*** NOTE: Password for user <John Doe> is: $_\n" }') %]</digest>
      <role>User</role>
    </user>
    <user>
      <name>root</name>
      <digest>[% password.generate(scheme => 'ssha', callback => 'sub { print STDERR "*** NOTE: Password for user <root> is: $_\n" }') %]</digest>
      <role>CA Operator</role>
    </user>
    <user>
      <name>raop</name>
      <digest>[% password.generate(scheme => 'ssha', callback => 'sub { print STDERR "*** NOTE: Password for user <raop> is: $_\n" }') %]</digest>
      <role>RA Operator</role>
    </user>
  </handler>
</auth>
